
# Table of Contents

1.  [Contenidos](#orgc48fe47)
    1.  [Prácticas evaluables](#orgd9170a7)
    2.  [Guión de las próximas sesiones](#orgae67fd7)
    3.  [Crea tu primer gráfico con Datawrapper](#orgdcd1955)
    4.  [Problemas con git](#orgcf0b36a)
        1.  [remote-https](#org35064b8)
    5.  [OpenRefine](#org6d44e8f)
2.  [Pruebas](#orgd07b3a4)


<a id="orgc48fe47"></a>

# Contenidos


<a id="orgd9170a7"></a>

## Prácticas evaluables

Se recuerda que en sintonía con la evaluación continua se han de realizar 4 pruebas y una final que representan el 60% del curso.  
Estas pruebas no se han publicado antes porque, aunque la primera se comentó en la segunda sesión, se optó por aportar una base común de conocimientos y de tecnologías para realizarlas, es decir:  

-   Trabajo con la terminal y la línea de comandos.
-   Editor de texto nano
-   Sintaxis Markdown
-   Git y Github

Por tanto, se publica la primera de las pruebas asociada a la segunda sesión y la segunda prueba a la sesión del 20 de octubre.  

Como recordatorio del itinerario, resumo las pruebas:  

1.  Comentario de una o varias infografías/visualizaciones de datos o trabajos de periodismo de datos. Comentario libre.
2.  Comentario crítico de una o varias infografías/visualizaciones de datos o trabajos de periodismo de datos.
3.  Realización de una o varias visualizaciones de datos con Datawrapper y los datos suministrados.
4.  Realización de una o varias visualizaciones de datos con Datawrapper con datos a elegir de datos.gob.es y una narración textual.
5.  Compilación de todos los trabajos, conversión en HTML y tenerlos disponibles en Github Pages. Este trabajo se puede realizar en parejas.

Se han puesto las dos primeras, sobre las siguientes se añadirán a los días siguientes.  


<a id="orgae67fd7"></a>

## Guión de las próximas sesiones

Se comenta el guión de esta y las próximas sesiones:  

-   **2020-11-09:** Datawrapper
-   **2020-11-10:** OpenRefine
-   **2020-11-16:** Tabula y PDF scraping
-   **2020-11-17:** OpenRefine
-   **2020-11-23:** Pandoc
-   **2020-11-24:** HTML y Bootstrap
-   **2020-11-30:** Github Pages
-   **2020-12-01:** Presentación final


<a id="orgdcd1955"></a>

## Crea tu primer gráfico con Datawrapper

Se ha subido un archivo de nombre `feliz.csv` al repositorio del curso. Podéis actualizar el repositorio y verlo.  
Este archivo procede del proyecto [TRESCA](https://trescaproject.eu). En la sesión de OpenRefine lo explicaremos más.  
Se recuerda que se puede realizar antes un "análisis exploratorio de datos" desde la terminal con:  

-   cat
-   wc
-   head
-   tail
-   file
-   Uso de operadores

También se usará ese archivo para la sesión de OpenRefine.  


<a id="orgcf0b36a"></a>

## Problemas con git


<a id="org35064b8"></a>

### remote-https

A veces pasa que hacemos un `git pull` y sale esto:  

    git: 'remote-https' is not a git command. See 'git --help'.

Hay que comprobar que tenemos las librerías adecuadas para que funcione git con https:  

-   libcurl4
-   openssl-dev


<a id="org6d44e8f"></a>

## OpenRefine

Descárgalo de la página oficial: <https://openrefine.org/download.html>  


<a id="orgd07b3a4"></a>

# Pruebas

-   Esta será la tercera prueba de evaluación continua.
-   Explica el proceso de creación de tu/s gráfico/s con Datawrapper y justifica las decisiones que has tomado.
-   Incluye el gráfico y la explicación en tu repositorio de Github.

